Name: purp
Version: 1.1.0
Release: alt3

Summary: A ncurses-based RPM-manager
Summary(ru_RU.KOI8-R):    RPM
License: GPL
Group: System/Configuration/Packaging
Url: http://www.lysator.liu.se/purp/

Source: ftp://ftp.lysator.liu.se/pub/unix/%name/%name-%version/%name-%version.tar.bz2
Patch1: %name-code.patch
Patch2: %name-1.1.0-rpm4.patch
Patch3: %name-1.1.0-makefile.patch

Requires: %{get_dep rpm}

BuildPreReq: rpm-build >= 4.0.4

# Automatically added by buildreq on Wed Mar 27 2002
BuildRequires: bison byacc flex gcc-c++ libbeecrypt libdb4 libncurses-devel libpopt-devel librpm-devel libstdc++-devel zlib-devel

%description
Purp is a ncurses-based RPM-manager that provides a fast and powerful
way to navigate, install, upgrade and uninstall RPM-packages on text
terminal devices.

%description -l ru_RU.KOI8-R
Purp --    RPM ,   
      .  
, ,    RPM-, 
  ,  Midnight Commander.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
aclocal
autoconf
%configure
%make_build

%install
%makeinstall

%files
%config(noreplace) %_sysconfdir/*
%_sbindir/*
%_mandir/man?/*
%doc CHANGES README

%changelog
* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.0-alt3
- rebuild with gcc3

* Wed Mar 27 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.0-alt2
- Rebuilt with new rpm

* Fri Nov 09 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.1.0-alt1
- 1.1.0.
- Initial build with rpm4.

* Tue Feb 27 2001 Alexander Bokovoy <ab@avilink.net> 1.0.0-ipl3
- Bug in Panel class fixed

* Tue Feb 27 2001 Alexander Bokovoy <ab@avilink.net> 1.0.0-ipl2
- Initial build
- Group changed

